-- 订单数据处理
insert into fw_valhalla.original_data(type, customer_id, generate_time, detail_id, solved, group_id, create_time,
                                      update_time)
SELECT 1,
       w1.cust_archive_id,
       w2.delivery_date,
       w1.id,
       0,
       w1.group_id,
       now(),
       now()
from `fw_order_v2.9.7`.car_order w1
         inner JOIN `fw_order_v2.9.7`.car_delivery_info w2 on w1.id = w2.order_id
where w1.id in (
    select max(w1.id) as id
    from `fw_order_v2.9.7`.car_order w1
             inner JOIN `fw_order_v2.9.7`.car_delivery_info w2 on w1.id = w2.order_id
    where w2.delivery_done = 1
      and w1.group_id = 2
      and w1.order_canceled = 0
      and w2.delivery_date >= DATE_ADD(NOW(), INTERVAL - 9 MONTH)
    group by w1.cust_archive_id
);

-- 保险数据处理
insert into fw_valhalla.original_data(type, customer_id, generate_time, detail_id, solved, group_id, create_time,
                                      update_time)
SELECT 4,
       w1.cus_id,
       DATE_ADD(w1.effective_date, INTERVAL + 1 YEAR),
       w1.id,
       0,
       w1.group_id,
       now(),
       now()
from fw_angel.insurance_policy w1
where w1.id in (
    select max(w1.id) as id
    from fw_angel.insurance_policy w1
    where w1.issue_date >= DATE_ADD(NOW(), INTERVAL - 4 MONTH)
    group by w1.cus_id
);

-- 售后工单首保处理
insert into fw_valhalla.original_data(type, customer_id, generate_time, detail_id, solved, group_id, create_time,
                                      update_time)
SELECT 2,
       customer_id,
       actual_pickup_time,
       id,
       0,
       group_id,
       now(),
       now()
from fw_cas.`order`
where id in (
    select max(id) as id
    from fw_cas.`order`
    where metal_sheet = 0
      and `status` = 9
      and (FIND_IN_SET(2, type) or FIND_IN_SET(2, type))
      and customer_id is not null
      and actual_pickup_time >= DATE_ADD(NOW(), INTERVAL - 5 MONTH)
    group by customer_id
);


-- 流失客户数据处理
insert into fw_valhalla.original_data(type, customer_id, generate_time, detail_id, solved, group_id, create_time,
                                      update_time)
SELECT 5,
       customer_id,
       actual_pickup_time,
       id,
       0,
       group_id,
       now(),
       now()
from fw_cas.`order`
where id in (
    select max(id) as id
    from fw_cas.`order`
    where `status` = 9
      and customer_id is not null
      and actual_pickup_time >= DATE_ADD(NOW(), INTERVAL - 5 MONTH)
    group by customer_id
);


-- 待定
update fw_valhalla.customer t1, (
    select max(id), receiver_id as followUser, customer_id
    from fw_cas.`order`
    where metal_sheet = 0
      and `status` = 9
      and (FIND_IN_SET(2, type) or FIND_IN_SET(2, type))
      and customer_id is not null
      and actual_pickup_time >= DATE_ADD(NOW(), INTERVAL - 5 MONTH)
    group by customer_id
) t2
set t1.follow_user_id = t2.followUser
where t1.id = t2.customer_id;