package cn.fw.valhalla.dao.mapper;

import cn.fw.valhalla.domain.db.follow.FollowTask;
import cn.fw.valhalla.domain.dto.FollowPoolDTO;
import cn.fw.valhalla.domain.query.FollowPoolQueryVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : FollowTaskMapper
 * @description : 跟进任务
 * @date: 2020-08-12 10:58
 */
@Repository
public interface FollowTaskMapper extends BaseMapper<FollowTask> {
    /**
     * 跟进池
     *
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<FollowPoolDTO> followList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("condition") FollowPoolQueryVO queryVO);
}
