package cn.fw.valhalla.domain.db.customer;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.sdk.enums.CarUseTypeEnum;
import cn.fw.valhalla.sdk.enums.SourceTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author : kurisu
 * @className : Customer
 * @description : 档案信息表
 * @date: 2020-08-11 16:37
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Customer extends BaseAuditableTimeEntity<Customer, Long> {
    /**
     * 档案基础信息id
     */
    private Long baseId;
    /**
     * 标签
     */
    private String tags;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 发动机号
     */
    private String engineNo;
    /**
     * 行驶证注册日期
     */
    private Date regDate;
    /**
     * 车型代码
     */
    private String specCode;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车型id
     */
    private Long specId;
    /**
     * 车型名称
     */
    private String specName;
    /**
     * 档案等级
     */
    private Integer cusLevel;
    /**
     * 购车日期
     */
    private Date buyDate;
    /**
     * 车价
     */
    private Long buyPrice;
    /**
     * 使用性质
     */
    private CarUseTypeEnum useType;
    /**
     * 档案来源
     */
    private SourceTypeEnum source;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 车辆图片
     */
    private String carImage;
    /**
     * 行驶证附件
     */
    private String vehicleLicense;
    /**
     * 最后一次进站行驶里程
     */
    private Integer currentMileage;
    /**
     * 所属服务站
     */
    private Long shopId;
    /**
     * 所属服务顾问
     */
    private Long adviserId;
    /**
     * 使用有效
     */
    private Boolean yn;
}
