package cn.fw.valhalla.domain.db.follow;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import cn.fw.valhalla.domain.enums.SendStatusEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 跟进消息提醒
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FollowNoticeRecord extends BaseAuditableTimeEntity<FollowNoticeRecord, Long> {
    /**
     * 跟进任务id
     */
    private Long taskId;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 类型
     */
    private FollowTypeEnum followType;
    /**
     * 消息发送状态
     */
    private SendStatusEnum status;
    /**
     * 描述
     */
    private String statusDesc;
    /**
     * 发送时间
     */
    private Date sendTime;
}
