package cn.fw.valhalla.domain.db.follow;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import cn.fw.valhalla.domain.enums.TaskStateEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 跟进任务
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FollowTask extends BaseAuditableTimeEntity<FollowTask, Long> {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 跟进类型
     */
    private FollowTypeEnum type;
    /**
     * 原始数据产生时间
     */
    private Date originTime;
    /**
     * 状态
     */
    private TaskStateEnum state;
    /**
     * 任务开始时间
     */
    private Date beginTime;
    /**
     * 原始跟进顾问id
     */
    private Long originUser;
    /**
     * 原始跟进门店
     */
    private Long originShop;
    /**
     * 当前跟进人
     */
    private Long followUser;
    /**
     * 当前跟进人门店
     */
    private Long followShop;
    /**
     * 完成人
     */
    private Long finishUser;
    /**
     * 完成门店
     */
    private Long finishShop;
    /**
     * 切换人员跟进时间
     */
    private Date changeUserTime;
    /**
     * 完成人员更换
     */
    private Boolean changed;
    /**
     * 截止日期
     */
    private Date deadline;
    /**
     * 是否完成任务
     */
    private Boolean finished;
    /**
     * 完成时间
     */
    private Date finishTime;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 商家id
     */
    private Long dealerId;
}
