package cn.fw.valhalla.domain.dto;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

/**
 * @author : kurisu
 * @className : AccidentPoolDTO
 * @description : 事故池dto
 * @date: 2020-08-15 14:56
 */
@Data
@ToString
public class AccidentPoolDTO {
    /**
     * 名字
     */
    private String name;
    /**
     * 电话号码
     */
    private String mobile;
    /**
     * 报案手机号
     */
    @NotBlank(message = "报案手机号不能为空")
    private String reportMobile;
    /**
     * 车牌号
     */
    @NotBlank(message = "车牌号不能为空")
    private String plateNo;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车型id
     */
    private Long specId;
    /**
     * 车型名称
     */
    private String specName;
    /**
     * 保险公司id
     */
    private Long insurerId;
    /**
     * 保险公司名称
     */
    private String insurerName;
    /**
     * 所属门店id
     */
    private Long shopId;
    /**
     * 报案地点
     */
    private String address;
}
