package cn.fw.valhalla.domain.dto;

import cn.fw.valhalla.domain.enums.AttTypeEnum;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @className : FollowAttachmentDTO
 * @description : 跟进附件
 * @date: 2020-08-17 17:25
 */
@Data
@ToString
public class FollowAttachmentDTO {
    /**
     * 跟进记录id
     */
    @NotNull(message = "跟进记录id不能为空")
    private Long recordId;
    /**
     * 附件类型
     */
    @NotNull(message = "附件类型不能为空")
    private Integer attType;
    /**
     * 跟进类型
     */
    @NotNull(message = "跟进类型不能为空")
    private Integer followType;
    /**
     * 附件ids
     */
    @NotBlank(message = "附件不能为空")
    private String attachments;
    /**
     * 描述
     */
    private String describes;

    public AttTypeEnum getAttType() {
        return AttTypeEnum.ofValue(attType);
    }

    public FollowTypeEnum getFollowType() {
        return FollowTypeEnum.ofValue(followType);
    }
}
