package cn.fw.valhalla.domain.dto;

import cn.fw.valhalla.common.enums.AllocationTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @className : LeaveAllocationDTO
 * @description : 离职分配DTO
 * @date: 2020-10-16 17:52
 */
@Data
public class LeaveAllocationDTO {
    @NotNull(message = "记录id不能为空")
    private Long id;

    @NotNull(message = "分配方式不能为空")
    private Integer allocationType;

    private Long userId;

    /**
     * 门店id （前端无关）
     */
    private Long shopId;

    /**
     * 分配方式 （前端无关）
     */
    private AllocationTypeEnum type;
    /**
     * 顾问id （前端无关）
     */
    private Long adviserId;
}
