package cn.fw.valhalla.domain.vo.follow;

import lombok.Data;

import java.util.Date;
import java.util.Objects;

/**
 * @author : kurisu
 * @className : FollowTodoListVO
 * @description : 跟进待办列表
 * @date: 2020-08-17 10:01
 */
@Data
public class FollowTodoListVO {
    /**
     * 跟进待办id
     */
    private Long id;
    /**
     * 跟进任务id
     */
    private Long taskId;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 档案车主名称
     */
    private String name;
    /**
     * 车辆图片
     */
    private String carImage;
    /**
     * 逾期时间
     */
    private Date deadline;

    public long getCountdown() {
        if (Objects.isNull(deadline)) {
            return 0L;
        }
        long ms = deadline.getTime() - System.currentTimeMillis();
        return ms / 1000;
    }
}
