package cn.fw.valhalla.rpc.erp.dto;

import lombok.Data;
import lombok.ToString;

import java.util.Date;
import java.util.Objects;

/**
 * @author : kurisu
 * @className : BackLogItemDTO
 * @description : 待办参数
 * @date: 2020-08-29 09:53
 */
@Data
@ToString
public class BackLogItemDTO {
    /**
     * 发送次数
     */
    private Integer count;

    public BackLogItemDTO() {
    }

    /**
     * 用户id
     */
    private Long userId;
    /**
     * 代码码
     */
    private String itemCode;
    /**
     * 业务id
     */
    private String dataId;
    /**
     * 待办时间
     */
    private Date dataTime;

    public BackLogItemDTO(Long userId, String itemCode, String dataId, Date dataTime) {
        this.userId = userId;
        this.itemCode = itemCode;
        this.dataId = dataId;
        this.dataTime = dataTime;
    }

    public Integer getCount() {
        if (Objects.isNull(this.count)) {
            return 0;
        }
        return count;
    }
}
