package cn.fw.valhalla.service.data;

import cn.fw.common.web.auth.LoginAuthBean;
import cn.fw.valhalla.domain.db.customer.Customer;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.fw.valhalla.domain.vo.customer.CustomerListVO;
import cn.fw.valhalla.domain.query.CustomerQueryVO;
import org.springframework.lang.NonNull;
import org.springframework.lang.Nullable;

import java.util.List;

/**
 * @author : kurisu
 * @className : CustomerService
 * @description : 档案
 * @date: 2020-08-12 11:19
 */
public interface CustomerService extends IService<Customer> {

    /**
     * 分页查询查询
     *
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<CustomerListVO> getAppPageList(Integer startIndex, Integer pageSize, CustomerQueryVO queryVO);

    /**
     * 根据id查询
     *
     * @param id
     * @return
     */
    Customer queryById(Long id);

    /**
     * 根据车牌号查询档案信息
     *
     * @param plateNo
     * @param groupId
     * @return
     */
    Customer queryByPlateNo(String plateNo, Long groupId);

    /**
     * 根据车牌号查询档案信息
     *
     * @param frameNo
     * @param groupId
     * @return
     */
    Customer queryByFrameNo(String frameNo, Long groupId);

    /**
     * 根据baseId查询档案信息
     *
     * @param baseId
     * @return
     */
    List<Customer> queryByBaseId(Long baseId);

    /**
     * 禁用档案
     *
     * @param customerId
     */
    void forbidden(Long customerId);

    /**
     * 禁用档案
     *
     * @param customerId
     */
    void forbiddenPlate(Long customerId);

    /**
     * 查询服务顾问所有档案
     * @param adviserId
     * @return
     */
    @Nullable
    List<Customer> queryByAdviserId(@NonNull Long adviserId);
}
