package cn.fw.valhalla.service.data.impl;

import cn.fw.valhalla.dao.mapper.FollowNoticeRecordMapper;
import cn.fw.valhalla.domain.db.follow.FollowNoticeRecord;
import cn.fw.valhalla.domain.enums.SendStatusEnum;
import cn.fw.valhalla.service.data.FollowNoticeRecordService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author : kurisu
 * @className : FollowNoticeRecordImpl
 * @description : notice
 * @date: 2020-08-12 11:11
 */
@Slf4j
@Service
public class FollowNoticeRecordServiceImpl extends ServiceImpl<FollowNoticeRecordMapper, FollowNoticeRecord> implements FollowNoticeRecordService {
    @Override
    public boolean removeByTaskId(Long taskId) {
        return this.remove(Wrappers.<FollowNoticeRecord>lambdaQuery()
                .eq(FollowNoticeRecord::getTaskId, taskId)
                .eq(FollowNoticeRecord::getStatus, SendStatusEnum.NOT_SENT)
        );
    }

    @Override
    public boolean removeByTaskIds(List<Long> idList) {
        return this.remove(Wrappers.<FollowNoticeRecord>lambdaQuery()
                .in(FollowNoticeRecord::getTaskId, idList)
                .eq(FollowNoticeRecord::getStatus, SendStatusEnum.NOT_SENT)
        );
    }
}
