package cn.fw.valhalla.service.data.impl;

import cn.fw.valhalla.dao.mapper.FollowRecordAttachmentsMapper;
import cn.fw.valhalla.domain.db.follow.FollowRecordAttachments;
import cn.fw.valhalla.service.data.FollowRecordAttachmentsService;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author : kurisu
 * @className : FollowRecordAttachmentsServiceImpl
 * @description :
 * @date: 2020-08-12 11:08
 */
@Service
@Slf4j
public class FollowRecordAttachmentsServiceImpl extends ServiceImpl<FollowRecordAttachmentsMapper, FollowRecordAttachments> implements FollowRecordAttachmentsService {
    @Override
    public List<FollowRecordAttachments> getListByRecordIds(List<Long> recordIds) {
        if (CollectionUtils.isEmpty(recordIds)) {
            return null;
        }
        return this.list(Wrappers.<FollowRecordAttachments>lambdaQuery()
                .in(FollowRecordAttachments::getRecordId, recordIds)
                .orderByDesc(FollowRecordAttachments::getUploadTime)
        );
    }
}
